# AF01 - List all custom fields

Call FrequencyRecommended usage: Once per dayMaximum usage: Once per dayLocalizationThis resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/additional_fields
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_ORDER_SETTINGS_READ, ROLE_PARTNER_OFFER_SETTINGS_READ, ROLE_PARTNER_SHOP_SETTINGS_READ

## Query parameters:

  - `entities` (string)
    A comma separated list of entities on which the additional fields must apply. Accepted values are <code>OFFER</code>, <code>SHOP</code>, <code>ORDER</code> and <code>ORDER_LINE</code>. Ex: <code>OFFER,SHOP</code>.

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `additional_fields` (array, required)

  - `additional_fields.accepted_values` (array)
    The list of accepted values for this additional field. This field is only present for additional fields of type 'LIST'

  - `additional_fields.code` (string, required)
    Additional field code

  - `additional_fields.default_value` (string)

  - `additional_fields.description` (string)
    The description of the additional field.

  - `additional_fields.editable` (boolean, required)
    Whether or not the additional field will be editable

  - `additional_fields.entity` (string)
    The object on which the additional field applies
Enum: `"SHOP"`, `"OFFER"`, `"ORDER_LINE"`, `"ORDER"`

  - `additional_fields.label` (string, required)
    Additional field label

  - `additional_fields.personal_data` (boolean)
    Whether or not this additional field contains personal data. When set to true, this field's value will be automatically cleared whenever an order is anonymized. Default to false.This field is only present for additional fields linked to an 'ORDER' or 'ORDER_LINE' entity

  - `additional_fields.regex` (string)
    The regular expression that is used to validate the value value of this field.This field is only present for additional fields of type 'REGEX'.

  - `additional_fields.required` (boolean, required)
    Whether or not this additionnal field will be required

  - `additional_fields.type` (string, required)
    Additional field type:STRING chain of characters (up to 2000 characters)DATE date in yyyy-mm-dd formatNUMERIC decimal value (eg 52.63)BOOLEAN true or falseLINK valid URLLIST list of values. Valid values are specified in accepted_values fieldREGEX regular expression. The regex that is used to validate the value of this field is specified in the regex fieldTEXTAREA long chain of characters (up to 5000 characters). May have multiple lines
Enum: `"STRING"`, `"DATE"`, `"NUMERIC"`, `"BOOLEAN"`, `"LINK"`, `"REGEX"`, `"TEXTAREA"`, `"LIST"`, `"MULTIPLE_VALUES_LIST"`

  - `total_count` (integer, required)

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

